/* gvSIG. Geographic Information System of the Valencian Government
*
* Copyright (C) 2007-2008 Infrastructures and Transports Department
* of the Valencian Government (CIT)
* 
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
* MA  02110-1301, USA.
* 
*/

/*
* AUTHORS (In addition to CIT):
* 2009 {Iver T.I.}   {Task}
*/
 
package org.gvsig.remoteclient.wms.request;

import org.gvsig.remoteclient.utils.CapabilitiesTags;
import org.gvsig.remoteclient.wms.WMSProtocolHandler;
import org.gvsig.remoteclient.wms.WMSStatus;

/**
 * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera</a>
 */
public abstract class WMSGetCapabilitiesRequest extends WMSRequest {

	/**
	 * @param status
	 * @param protocolHandler
	 */
	public WMSGetCapabilitiesRequest(WMSStatus status,
			WMSProtocolHandler protocolHandler) {
		super(status, protocolHandler);		
	}

	/* (non-Javadoc)
	 * @see org.gvsig.remoteclient.ogc.request.OGCRequest#getHttpPostRequest(java.lang.String)
	 */
	protected String getHttpPostRequest(String onlineResource) {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.gvsig.remoteclient.ogc.request.OGCRequest#getOperationName()
	 */
	protected String getOperationName() {
		return CapabilitiesTags.GETCAPABILITIES;
	}

	/* (non-Javadoc)
	 * @see org.gvsig.remoteclient.ogc.request.OGCRequest#getTempFilePrefix()
	 */	
	protected String getTempFilePrefix() {
		return "wms_getC.xml";
	}

}

